Loading...
Searching...
No Matches
RDKit::AtomMonomerInfo Class Reference

The abstract base class for atom-level monomer info. More...

`#include <MonomerInfo.h>`

Inheritance diagram for RDKit::AtomMonomerInfo:

## Public Types

enum | AtomMonomerType { UNKNOWN = 0 , PDBRESIDUE , OTHER }

## Public Member Functions

virtual | ~AtomMonomerInfo ()
| AtomMonomerInfo ()=default
| AtomMonomerInfo (AtomMonomerType typ, std::string nm="", std::string residueName="", int resNum=0, std::string chainId="", std::string monomerClass="")
| AtomMonomerInfo (const AtomMonomerInfo &other)=default
const std::string & | getName () const
void | setName (const std::string &nm)
AtomMonomerType | getMonomerType () const
void | setMonomerType (AtomMonomerType typ)
const std::string & | getChainId () const
void | setChainId (const std::string &val)
int | getResidueNumber () const
void | setResidueNumber (int val)
const std::string & | getResidueName () const
void | setResidueName (const std::string &val)
const std::string & | getMonomerClass () const
void | setMonomerClass (const std::string &val)
virtual AtomMonomerInfo * | copy () const

## Detailed Description

The abstract base class for atom-level monomer info.

Definition at line 26 of file MonomerInfo.h.

## Member Enumeration Documentation

## AtomMonomerType

enum RDKit::AtomMonomerInfo::AtomMonomerType

Enumerator
UNKNOWN |
PDBRESIDUE |
OTHER |

Definition at line 28 of file MonomerInfo.h.

## Constructor & Destructor Documentation

## ~AtomMonomerInfo()

virtual RDKit::AtomMonomerInfo::~AtomMonomerInfo | ( |  | ) |

inline virtual

Definition at line 30 of file MonomerInfo.h.

## AtomMonomerInfo() [1/3]

RDKit::AtomMonomerInfo::AtomMonomerInfo | ( |  | ) |

default

Referenced by AtomMonomerInfo(), RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo(), RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo(), copy(), and RDKit::AtomPDBResidueInfo::copy().

## AtomMonomerInfo() [2/3]

RDKit::AtomMonomerInfo::AtomMonomerInfo | ( | AtomMonomerType | typ,
|  | std::string | nm = "",
|  | std::string | residueName = "",
|  | int | resNum = 0,
|  | std::string | chainId = "",
|  | std::string | monomerClass = "" )

inline

Parameters

  typ

  the 'type' of monomer this represents:
  - UNKNOWN default for base class
  - PDBRESIDUE set when AtomPDBResidueInfo is instantiated
  - OTHER

  nm | the atom name (e.g. "CA" using PDB atom naming)
  residueName | the residue name (e.g. "ALA")
  resNum | the residue number (e.g. 12)
  chainId | the chain identifier (e.g. "A", "Heavy", "PEPTIDE1")
  monomerClass | further classification of the monomer (e.g, "LGRP", "LINK")

Definition at line 45 of file MonomerInfo.h.

## AtomMonomerInfo() [3/3]

RDKit::AtomMonomerInfo::AtomMonomerInfo | ( | const AtomMonomerInfo & | other | ) |

default

References AtomMonomerInfo().

## Member Function Documentation

## copy()

virtual AtomMonomerInfo * RDKit::AtomMonomerInfo::copy | ( |  | ) | const

inline virtual

Reimplemented in RDKit::AtomPDBResidueInfo.

Definition at line 65 of file MonomerInfo.h.

References AtomMonomerInfo().

## getChainId()

const std::string & RDKit::AtomMonomerInfo::getChainId | ( |  | ) | const

inline

Definition at line 56 of file MonomerInfo.h.

## getMonomerClass()

const std::string & RDKit::AtomMonomerInfo::getMonomerClass | ( |  | ) | const

inline

Definition at line 62 of file MonomerInfo.h.

## getMonomerType()

AtomMonomerType RDKit::AtomMonomerInfo::getMonomerType | ( |  | ) | const

inline

Definition at line 54 of file MonomerInfo.h.

## getName()

const std::string & RDKit::AtomMonomerInfo::getName | ( |  | ) | const

inline

Definition at line 52 of file MonomerInfo.h.

## getResidueName()

const std::string & RDKit::AtomMonomerInfo::getResidueName | ( |  | ) | const

inline

Definition at line 60 of file MonomerInfo.h.

## getResidueNumber()

int RDKit::AtomMonomerInfo::getResidueNumber | ( |  | ) | const

inline

Definition at line 58 of file MonomerInfo.h.

## setChainId()

void RDKit::AtomMonomerInfo::setChainId | ( | const std::string & | val | ) |

inline

Definition at line 57 of file MonomerInfo.h.

## setMonomerClass()

void RDKit::AtomMonomerInfo::setMonomerClass | ( | const std::string & | val | ) |

inline

Definition at line 63 of file MonomerInfo.h.

## setMonomerType()

void RDKit::AtomMonomerInfo::setMonomerType | ( | AtomMonomerType | typ | ) |

inline

Definition at line 55 of file MonomerInfo.h.

## setName()

void RDKit::AtomMonomerInfo::setName | ( | const std::string & | nm | ) |

inline

Definition at line 53 of file MonomerInfo.h.

## setResidueName()

void RDKit::AtomMonomerInfo::setResidueName | ( | const std::string & | val | ) |

inline

Definition at line 61 of file MonomerInfo.h.

## setResidueNumber()

void RDKit::AtomMonomerInfo::setResidueNumber | ( | int | val | ) |

inline

Definition at line 59 of file MonomerInfo.h.

The documentation for this class was generated from the following file:

- MonomerInfo.h